Commit 60a7759d authored by Matthias Möller's avatar Matthias Möller

- increase cmake minimum version

- set qt auto linking policy. reduce cmake warnings for windows

closes #1760

git-svn-id: http://www.openflipper.org/svnrepo/OpenFlipper/branches/Free@17899 383ad7c9-94d9-4d36-a494-682f7c89f535
parent 0abe196f
cmake_minimum_required (VERSION 2.8.4)
cmake_minimum_required (VERSION 2.8.9)
if (NOT CMAKE_BUILD_TYPE)
message(STATUS "No build type selected, default to Release")
......
......@@ -186,6 +186,11 @@ macro (acg_qt4)
set (QT_MIN_VERSION ${ARGN})
if(POLICY CMP0020)
# Automatically link Qt executables to qtmain target on Windows
cmake_policy(SET CMP0020 NEW)
endif(POLICY CMP0020)
find_package (Qt4 COMPONENTS QtCore QtGui )
set (QT_USE_QTOPENGL 1)
......@@ -207,6 +212,11 @@ macro (acg_qt4)
endmacro ()
macro (acg_qt5)
if(POLICY CMP0020)
# Automatically link Qt executables to qtmain target on Windows
cmake_policy(SET CMP0020 NEW)
endif(POLICY CMP0020)
#if (NOT QT5_FOUND)
#set (QT_MIN_VERSION ${ARGN})
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment